From gud@eth.net Tue Apr 12 06:32:59 2005
Subject: [PATCH 1/many] pci: remove deprecates
To: greg@kroah.com
From: Amit Gud <gud@eth.net>
Date: Tue, 12 Apr 2005 19:03:33 +0530

Replace pci_find_device() with more safer pci_get_device().


Signed-off-by: Amit Gud <gud@eth.net>
Signed-off-by: Greg Kroah-Hartman <gregkh@suse.de>

---
--- orig-2.6.12-rc1/drivers/char/moxa.c	2005-03-22 12:53:18.000000000 +0530
+++ kj-2.6.12-rc1/drivers/char/moxa.c	2005-04-12 18:42:12.307155856 +0530
@@ -451,7 +451,7 @@ static int __init moxa_init(void)
 		int n = (sizeof(moxa_pcibrds) / sizeof(moxa_pcibrds[0])) - 1;
 		i = 0;
 		while (i < n) {
-			while ((p = pci_find_device(moxa_pcibrds[i].vendor, moxa_pcibrds[i].device, p))!=NULL)
+			while ((p = pci_get_device(moxa_pcibrds[i].vendor, moxa_pcibrds[i].device, p))!=NULL)
 			{
 				if (pci_enable_device(p))
 					continue;

